tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rodrigo Ruiz <rr...@gridsystems.com>
Subject Re: Tomcat 5.5: Jre or Jdk?
Date Mon, 02 Apr 2007 14:11:48 GMT
Hi,

AFAIK, Tomcat 5.5 uses the Eclipse compiler, so it does not require a
JDK to compile JSPs anymore.

However, a JRE comes with only a "client" virtual machine. If you want
to run your Tomcat with a "server" virtual machine, you will need a full
JDK. The "-server" option usually provides better performance and
stability on long running servers, so I would recommend it on a
production environment.

Cheers,
Rodrigo

-- 
-------------------------------------------------------------------
GRID SYSTEMS, S.A.             Rodrigo Ruiz
Parc Bit - Edificio 17         Research Coordinator
07121 Palma de Mallorca
Baleares - Spain
http://www.gridsystems.com/
-------------------------------------------------------------------

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message